#ifndef TASK_H
#define TASK_H

u32int exit(u32int val);				// End current task
u32int fork(u32int flags);				// Create new task as clone
u32int wait(u32int task);				// Wait for task to end
u32int gpid(u32int flags);				// Get PID of relative task

u32int elib(u32int task, u32int lib);	// Load new library image in other task
u32int reap(u32int task);				// Adopt task and wait for it to end

#endif /*TASK_H*/
