#include <lib.h>
#include <init.h>

void init_detect() {
	u32int i;

	colork(0xC);
	printk("Detecting memory: ");

	struct memory_map *mem_map = (void*) mboot->mmap_addr;
	u32int nmem_map = mboot->mmap_length / sizeof(struct memory_map);
	for (i = 0; i < nmem_map; i++) {
		if (mem_map[i].base_addr_low == 0x100000) {
			memsize = mem_map[i].length_low + 0x100000;
			printk("%d MB", memsize >> 20);
			break;
		}
	}
	cursek(36, -1);
	printk("done\n");

	colork(0xF);

}
